/* CSS Document */
@charset "UTF-8";

:root {
  --black: #000000;
  --white: #ffffff;

  --blue: #003366;
  --blue-rgb: 0, 51, 102;
  --red: #da0000;
  --red-rgb: 218, 0, 0;
  --green: #008761;
  --charcoal: #242424;

  --text: var(--blue);
}

body {
  margin: 0;
  padding: 0;
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  overflow-x: clip;
  color: var(--blue);
  font-size: 16px;
}

/*per modale*/
html {
  overflow-y: scroll;
}

.focus-0:focus,
.focus-0:active {
  outline: none !important;
  box-shadow: none !important;
}

:hover {
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

::selection {
  background-color: var(--blue) !important;
  color: var(--white) !important;
}

img {
  border: none;
}

a {
  text-decoration: none !important;
  color: inherit;
}

a:hover {
  color: inherit;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: inherit;
  font-weight: inherit;
  font-size: inherit;
  margin-bottom: 0;
}

.first-p-fs-5 > p:first-of-type,
.first-p-fs-4 > p:first-of-type,
.h-tags :is(h1, h2, h3, h4, h5, h6),
.h-fs-1 :is(h1, h2, h3),
.h-fs-2 :is(h1, h2, h3),
.h-fs-3 :is(h1, h2, h3),
.h-fs-4 :is(h2, h3, h4) {
  margin: 0 0 1em 0;
  font-weight: 500;
  line-height: 1.2;
  font-family: "Roboto", sans-serif;
}

.h-tags h1,
.h-fs-1 :is(h1, h2, h3) {
  font-size: calc(1.375rem + 1.5vw);
}
.h-tags h2,
.h-fs-2 :is(h1, h2, h3) {
  font-size: calc(1.325rem + 0.9vw);
}
.h-tags h3,
.h-fs-3 :is(h1, h2, h3) {
  font-size: calc(1.3rem + 0.6vw);
}
.h-tags h4,
.h-fs-4 :is(h2, h3, h4),
.first-p-fs-4 > p:first-of-type {
  font-size: calc(1.275rem + 0.3vw);
}
.h-tags h5,
.first-p-fs-5 > p:first-of-type,
.p-fs-5 {
  font-size: 1.25rem;
}
.h-tags h6 {
  font-size: 1rem;
}

.h-fw-bold.first-p-fs-5 > p:first-of-type {
  font-weight: bold;
}

.h-bicyclette :is(h1, h2, h3, h4, h5, h6) {
  text-transform: uppercase;
  font-weight: bold;
}

.testata h1 {
  border-bottom: 1px solid var(--white);
  font-family: "bicyclette", sans-serif;
  font-size: calc(1.625rem + 4.5vw);
  font-weight: 600;
  line-height: 0.55;
  margin-bottom: 1rem;
  text-transform: uppercase;
}
.testata p {
  font-family: "bicyclette", sans-serif;
  font-size: calc(1.375rem + 1.5vw);
  line-height: 1;
}

.testata-text > *:first-child {
  margin: 0 0 0.5em 0;
  font-weight: 400;
  line-height: 1.2;
  font-family: "Roboto", sans-serif;
  font-size: calc(1.3rem + 0.6vw);
}

.site-wrap {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  min-width: 300px !important;
}

.p-mb-0 p {
  margin-bottom: 0;
}

.cursor-pointer {
  cursor: pointer;
}

.small,
.small p {
  font-size: 0.875em;
}

.x-small p,
.x-small {
  font-size: 0.775em;
}

.h-bicyclette :is(h1, h2, h3, h4, h5, h6),
.bicyclette {
  font-family: "bicyclette", sans-serif !important;
  letter-spacing: -1px;
}

.blur img {
  filter: blur(var(--blur, 5px));
  -webkit-backdrop-filter: blur(var(--blur, 5px));
}

.ratio-2x3 {
  --bs-aspect-ratio: calc(3/2 * 100%);
}
/* LISTS */
/* END LISTS */
/*  */
/*  */
/*  */
/* HOVERS */
.hvr-up,
.hvr-card-prodotto .overlay,
.hvr-zoom img,
.nav-applicazioni .nav-link + .label,
.nav-applicazioni .nav-link:not(.active) + .label .link {
  transition: all 0.3s ease-in-out;
}
.hvr-red:hover {
  color: var(--red) !important;
}
.hvr-underline:hover,
.hvr-link a:hover {
  text-decoration: underline !important;
}
.hvr-zoom:hover img {
  transform: scale(1.2);
}

.hvr-card-prodotto .overlay {
  opacity: 0;
  transform: scale(1.2);
}
.hvr-card-prodotto:hover .overlay {
  opacity: 1;
  transform: scale(1);
}
.hvr-up:hover {
  transform: translateY(-5px) !important;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.15) !important;
}
/* END HOVERS */
/*  */
/*  */
/*  */
/* BUTTONS */
.btn-solid-red {
  background-color: var(--red);
  border: 1px solid var(--red);
  border-radius: 0;
  color: var(--white);
  padding: 0.5rem 1.5rem;
}
.btn-solid-red:hover,
.btn-solid-red:focus,
.btn-solid-red:focus-visible,
.btn-solid-red:focus-within,
.btn-info-modal:active {
  background-color: color-mix(in srgb, var(--red), var(--black) 15%) !important;
  color: var(--white) !important;
}
.btn-solid-red:active:not(.btn-info-modal) {
  border: 1px solid var(--white) !important;
}

.btn-solid-blue {
  background-color: var(--blue);
  border: 1px solid var(--blue);
  border-radius: 0;
  color: var(--white);
  padding: 0.5rem 1.5rem;
}
.btn-solid-blue:hover,
.btn-solid-blue:focus,
.btn-solid-blue:focus-visible,
.btn-solid-blue:focus-within {
  background-color: color-mix(
    in srgb,
    var(--blue),
    var(--black) 25%
  ) !important;
  color: var(--white) !important;
}

.btn-solid-green {
  background-color: var(--green);
  border: 1px solid var(--green);
  border-radius: 0;
  color: var(--white);
  padding: 0.5rem 1.5rem;
}
.btn-solid-green:hover,
.btn-solid-green:focus,
.btn-solid-green:focus-visible,
.btn-solid-green:focus-within {
  background-color: color-mix(
    in srgb,
    var(--green),
    var(--black) 25%
  ) !important;
  color: var(--white) !important;
}

.btn-outline-blue {
  background-color: transparent;
  border: 1px solid var(--blue);
  border-radius: 0;
  color: var(--blue);
  padding: 0.5rem 1.5rem;
}
.btn-outline-blue:hover,
.btn-outline-blue:focus,
.btn-outline-blue:focus-visible,
.btn-outline-blue:focus-within {
  background-color: var(--blue) !important;
  color: var(--white) !important;
}
.btn-outline-blue:active {
  border: 1px solid var(--white) !important;
}

.btn-outline-red {
  background-color: transparent;
  border: 1px solid var(--red);
  border-radius: 0;
  color: var(--red);
  padding: 0.5rem 1.5rem;
}
.btn-outline-red:hover,
.btn-outline-red:focus,
.btn-outline-red:focus-visible,
.btn-outline-red:focus-within {
  background-color: var(--red) !important;
  color: var(--white) !important;
}
.btn-outline-red:active {
  border: 1px solid var(--white) !important;
}

.btn-outline-white {
  background-color: transparent;
  border: 1px solid var(--white);
  border-radius: 0;
  color: var(--white);
  padding: 0.5rem 1.5rem;
}
.btn-outline-white:hover,
.btn-outline-white:focus,
.btn-outline-white:focus-visible,
.btn-outline-white:focus-within {
  background-color: var(--white) !important;
  color: var(--blue) !important;
}
.btn-outline-white:active {
  border: 1px solid var(--blue) !important;
}

.btn-caret {
  display: inline-block;
  position: relative;
  padding-left: 1.25rem;
  /* padding-left: 1.75rem; */
}
.btn-caret::before {
  content: "\f0da";
  font-family: "Font Awesome 6 Pro";
  font-size: 24px;
  font-weight: 900;
  color: inherit;
  position: absolute;
  top: 50%;
  left: -1px;
  /* left: 6px; */
  transform: translate(0, -50%);
  transition: all 0.3s ease-in-out;
}
.btn-caret:hover::before {
  transform: translate(5px, -50%);
  /* transform: translate(6px, -50%); */
}

.btn-info-modal {
  position: sticky;
  top: 0;
  z-index: 99;
}
/* END BUTTONS */
/*  */
/*  */
/*  */
/* BACKGROUNDS */
.bg-blue {
  background-color: var(--blue) !important;
}
.bg-blue-op {
  background-color: rgba(var(--blue-rgb), var(--mix-level, 0.5)) !important;
}
.bg-red {
  background-color: var(--red) !important;
}
/* .bg-red-op {
  background-color: rgba(var(--red-rgb), var(--mix-level, 0.5)) !important;
} */
.bg-charcoal {
  background-color: var(--charcoal) !important;
}
/* END BACKGROUNDS */
/*  */
/*  */
/*  */
/* COLORS */
.border-theme {
  border-color: var(--theme, var(--red)) !important;
}

.text-blue {
  color: var(--blue) !important;
}
span[style="color: #ff0000;"],
span[style="color:#ff0000;"],
.text-red,
.h-red :is(h1, h2, h3, h4, h5, h6) {
  color: var(--red) !important;
}
.text-green,
.span-green :is(h1, h2, h3, h4, h5, h6) > span {
  color: var(--green) !important;
}
/* END COLORS */
/*  */
/*  */
/*  */

.container-bigger {
  --bs-gutter-x: 1.5rem;
  --bs-gutter-y: 0;
  width: 100%;
  padding-right: calc(var(--bs-gutter-x) * 0.5);
  padding-left: calc(var(--bs-gutter-x) * 0.5);
  margin-right: auto;
  margin-left: auto;
}

/* HEADER */
#goToHeaderBtn {
  position: fixed;
  z-index: 99;
  bottom: 20px;
  right: 20px;
  transform: translateY(20px);
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: all 0.3s ease-in-out;
}
#goToHeaderBtn.visible {
  transform: translateY(0);
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}
.menu-applicazioni {
  background-color: var(--white) !important;
}
.menu-applicazioni,
.menu-tecnologie {
  display: grid !important;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto;
}
.menu-tecnologie {
  gap: 0.5rem;
}

.breadcrumb {
  color: var(--bs-secondary);
  font-size: 12px;
  text-transform: uppercase;
}
.breadcrumb .breadcrumb-item:not(.active):hover a {
  text-decoration: underline !important;
}
.breadcrumb .breadcrumb-item.active {
  font-weight: bold;
}
.breadcrumb-item + .breadcrumb-item::before {
  content: "";
  width: 14px;
  height: 14px;
  background: url("../img/x.svg") center / cover no-repeat;
  -webkit-mask: url("../img/x.svg") no-repeat center;
  mask: url("../img/x.svg") no-repeat center;
  padding: 0;
  margin-right: 8px;
  background-color: var(--bs-secondary);
  position: relative;
  top: 2px;
}
.text-white .breadcrumb-item {
  color: var(--white) !important;
}
.text-white .breadcrumb-item + .breadcrumb-item::before {
  background: url("../img/x_white.svg") center / cover no-repeat;
}
/* END HEADER */
/*  */
/*  */
/*  */
/* FORM */
.form-check-input {
  cursor: pointer;
}
.form-check-input:checked {
  background-color: var(--default);
  border-color: var(--default);
}
.form-check-input:focus,
.form-control:focus {
  border-color: var(--blue);
  box-shadow: 0 0 0 0.25rem color-mix(in srgb, var(--blue) 75%, transparent);
}
/* END FORM */
.square {
  height: var(--dim, 50px);
  width: var(--dim, 50px);
  flex: 0 0 var(--dim, 50px);
}
.circle {
  height: var(--dim, 1rem);
  width: var(--dim, 1rem);
  flex: 0 0 var(--dim, 1rem);
}
:not(header) .dropdown-menu.bg-blue-op .dropdown-item:active {
  background-color: var(--blue) !important;
  color: var(--white) !important;
}
.open-box {
  border: 8px solid var(--white);
  border-left: 0;
  position: relative;
}
.open-box::before,
.open-box::after {
  content: "";
  width: 8px;
  height: 31px;
  background-color: var(--white);
  position: absolute;
  left: 0;
}
.open-box::before {
  top: -1px;
}
.open-box::after {
  bottom: -1px;
}
.icon-x {
  -webkit-mask: url("../img/x.svg") no-repeat center;
  mask: url("../img/x.svg") no-repeat center;
}
.nav-applicazioni .nav-link.active {
  background-color: rgba(255, 255, 255, 0.4);
  margin-left: 1rem;
  width: calc(100% - 1rem) !important;
}
.nav-applicazioni .nav-link:after {
  content: "\f061";
  font-family: "Font Awesome 6 Pro";
  font-size: 16px;
  font-weight: 500;
  background-color: var(--blue);
  border-radius: 0.25rem;
  color: var(--white);
  aspect-ratio: 1;
  height: calc(100% - 0.5rem);
  position: absolute;
  right: 0.25rem;
  top: 50%;
  transform: translate(-100%, -50%);
  transition: all 0.3s ease-in-out;
  opacity: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}
.nav-applicazioni .nav-link.active:after {
  transform: translate(0, -50%);
  opacity: 1;
}
.nav-applicazioni .nav-link:not(.active) + .label {
  opacity: 0;
}
.nav-applicazioni .nav-link.active + .label .link {
  animation: boo 0.3s forwards;
}
@keyframes boo {
  from {
    transform: translateX(50px);
  }
  to {
    transform: translateX(0);
  }
}

.swiper-pagination-bullet {
  height: 0.8rem;
  width: 0.8rem;
}
.swiper-pagination-bullet-active {
  background: var(--red);
}

.nav-tabs .nav-link::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 0;
  background-color: var(--red);
  transition: all 0.3s ease-in-out;
}
.nav-tabs .nav-link.active::after {
  height: 8px;
}
.flag-ita {
  background: linear-gradient(
    to right,
    #379d00 0%,
    #379d00 33.333%,
    #ffffff 33.333%,
    #ffffff 66.666%,
    #da0000 66.666%,
    #da0000 100%
  );
}
.grid-team {
  display: grid;
  gap: 1rem;
  grid-template-columns: 1;
  grid-template-rows: auto;
}
.pagination {
  justify-content: center;
}
.page-link {
  color: var(--blue);
}
.page-link:hover,
.page-link:active,
.page-link:focus,
.page-link:focus-visible,
.page-link:focus-within {
  color: var(--white);
  background-color: var(--blue);
  border-color: var(--blue);
}
.page-link:focus,
.page-link:focus-visible,
.page-link:focus-within {
  box-shadow: 0 0 0 0.25rem rgba(var(--blue-rgb), 0.25);
}
